[winetricks-libre] Deprecated upstream
Status: confirmed % Done: 0%
Priority: bug
Assignee:

Category:

Description
See #366

This package is deprecated upstream and there have been no commits since 17 June 2017:
https://github.com/g4jc/winetricks-libre/commits/master

Based on how large and how many freedom issues winetricks has, it will be difficult to maintain a libre version.

History

#1 - 2022-08-31 02:54 PM - gap

Whilst we're on the subject, do many Parabola users actually use Wine to run libre programs, or is it only useful in practice to facilitate running
proprietary programs?
In that case we may as well blacklist it.

I only know of two libre programs which only work on Windows: Famitracker, and Psycle (#3233), but I've never heard of anyone running them under
Wine.
Most of the time | read or hear about Wine, it's invariably used to facilitate running proprietary software.

That being said, I'd err on the side of keeping Wine since it can be used whilst retaining freedom, but | don't think it actually is, most of the time.
Perhaps we should make a wiki page or add to an existing one, to communicate this to users?

Relevant wiki page: https://wiki.parabola.nu/Emulator_licensing_issues

#2 - 2022-08-31 03:15 PM - bill-auger

- Status changed from unconfirmed to confirmed

being deprecated is not a good reason to remove something, if it is still useful - but winetricks-libre was never really needed in the first place - the only
thing that winetricks does, which no other program can do, is automatically install programs like a TPPM; but that is the functionality that
winetricks-libre removed

#3 - 2022-08-31 06:27 PM - bill-auger

there is not much to warm about per wine especially, that isnt
already the general advice for the entire system - it is always
possible to install some non-free programs - it doesnt make any
difference if the non-free program was designed for windows -
its only important that parabola does not distribute anything
non-free, and not suggest acquiring anything non-free

the warning that wine deserves, is the same as for TPPMs,

and all emulators - the best advice is to use software only

from parabola; which would make wine useless, because AFAIK,
no parabola packages include windows programs - libre or not,
all third-party software is discouraged

#4 - 2022-09-27 05:11 PM - GNUtoo
There are valid uses case for downloading and running third party software that is fully free.

A common use case is development and/or porting software. It's just that Parabola is not involved anymore in determining if that software is fully free
or not, so in many cases you are alone in trying to determine if that software is ok or not.

And for 1 person being able to audit 1 small C program and its dependencies (if there aren't a lot) is doable, especially if the program is well known
and that the info is already in abslibre, or if you wrote that program.

So for instance someone could cross compile software for windows and use wine to test it locally and then rely on existing windows users for testing
to know if it really works there (and also encourage/help the testers getting rid of windows along the way if possible and then do that again with newer
testers until there are no more windows users left).
